## pimoroni-rgbmatrix5x5-python.zip

=== Makefile ===
.PHONY: usage install uninstall
usage:
	@echo "Usage: make <target>, where target is one of:\n"
	@echo "install:       install the library locally from source"
	@echo "uninstall:     uninstall the local library"
	@echo "python-readme: generate library/README.md from README.md"
	@echo "python-wheels: build python .whl files for distribution"
	@echo "python-sdist:  build python source distribution"
	@echo "python-clean:  clean python build and dist directories"
	@echo "python-dist:   build all python distribution files" 

install:
	./install.sh

uninstall:
	./uninstall.sh

python-readme: library/README.md

python-license: library/LICENSE.txt

library/README.md: README.md
	cp README.md library/README.md

library/LICENSE.txt: LICENSE
	cp LICENSE library/LICENSE.txt

python-wheels: python-readme python-license
	cd library; python3 setup.py bdist_wheel
	cd library; python setup.py bdist_wheel

python-sdist: python-readme python-license
	cd library; python setup.py sdist

python-clean:
	-rm -r library/dist
	-rm -r library/build
	-rm -r library/*.egg-info

python-dist: python-clean python-wheels python-sdist
	ls library/dist

python-deploy: python-dist
	twine upload library/dist/*

python-deploy-test: python-dist
	twine upload --repository-url https://test.pypi.org/legacy/ library/dist/*

=== packaging/debian/control ===
Source: rgbmatrix5x5
Maintainer: Phil Howard <phil@pimoroni.com>
Homepage: https://github.com/pimoroni/rgbmatrix5x5-python
Section: python
Priority: extra
Build-Depends: debhelper (>= 9.0.0), dh-python, python-all (>= 2.7), python-setuptools, python3-all (>= 3.4), python3-setuptools
Standards-Version: 3.9.6
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4

Package: python-rgbmatrix5x5
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python:Depends}, python-smbus
Suggests: i2c-tools, python-psutil
Description: Python library for the Pimoroni 5x5 RGB LED Matrix.
 5x5 RGB LED Matrix has 25 RGB LEDs in a square,
 it's ideal for showing notifications, patterns, or anything else!
 .
 This is the Python 2 version of the package.

Package: python3-rgbmatrix5x5
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python3:Depends}, python3-smbus
Suggests: i2c-tools, python3-psutil
Description: Python library for the Pimoroni 5x5 RGB LED Matrix.
 5x5 RGB LED Matrix has 25 RGB LEDs in a square,
 it's ideal for showing notifications, patterns, or anything else!
 .
 This is the Python 3 version of the package.

=== packaging/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS

%:
	dh $@ --with python2,python3 --buildsystem=python_distutils

override_dh_auto_install:
	python setup.py install --root debian/python-rgbmatrix5x5 --install-layout=deb
	python3 setup.py install --root debian/python3-rgbmatrix5x5 --install-layout=deb
